#
# spec file for package perl-DateManip (Version 5.44)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-DateManip
Version:        5.44
Release:        12.2
Provides:       DateManip
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://www.cise.ufl.edu/~sbeck/
Summary:        Date Manipulation Routines
Source:         DateManip-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a set of routines designed to make any common date and time
manipulation easy to perform. Operations such as comparing two times,
calculating a time a given amount of time from another time, or parsing
international times are all easily accomplished.



Authors:
--------
    Sullivan Beck <sbeck@cpan.org>

%debug_package
%prep
%setup -n DateManip-%{version}

%build
perl Makefile.PL 
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%doc HISTORY INSTALL README TODO
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Date
%{perl_vendorarch}/auto/Date
/var/adm/perl-modules/%{name}

%changelog -n perl-DateManip
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 06 2006 - anicka@suse.cz
- update to 5.44
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Jul 21 2003 - rommel@suse.de
- update to version 5.42a
- using perl_vendorlib and perl_vendorarch instead of
  perl_archlib and perl_sitearch
* Sun Jun 22 2003 - coolo@suse.de
- package directories
* Sun May 25 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Fri Jun 22 2001 - grimmer@suse.de
- Update to version 5.40
- use more perl macros in spec file
* Tue Nov 07 2000 - grimmer@suse.de
- added .packlist to file list and removed BuildRoot path with sed
* Tue Nov 07 2000 - grimmer@suse.de
- initial version (5.39)
